#ifndef __SOUNDTEST_H
#define __SOUNDTEST_H
#include <vdr/plugin.h>

extern int doexit;

// --- cPluginSoundtest ---

class cPluginSoundTest : public cPlugin {
private:
public:
    cPluginSoundTest(void);
    virtual ~cPluginSoundTest();
    virtual const char *Version(void);
    virtual const char *Description(void);
    virtual const char *CommandLineHelp(void);
    virtual bool ProcessArgs(int argc, char *argv[]);
    virtual bool Start(void);
    virtual void Stop(void);
    virtual void Housekeeping(void);
    virtual const char *MainMenuEntry(void);
    virtual cOsdObject *MainMenuAction(void);
    virtual cMenuSetupPage *SetupMenu(void);
    virtual bool SetupParse(const char *Name, const char *Value);
    };
#endif
